import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTREnergyEVSEClusterFaultEvent extends _NSObject {
    static alloc(): _MTREnergyEVSEClusterFaultEvent;
    static new(): _MTREnergyEVSEClusterFaultEvent;
    init(): _MTREnergyEVSEClusterFaultEvent;
    sessionID(): _NSNumber | null;
    setSessionID$(value: _NSNumber | null): void;
    state(): _NSNumber;
    setState$(value: _NSNumber): void;
    faultStatePreviousState(): _NSNumber;
    setFaultStatePreviousState$(value: _NSNumber): void;
    faultStateCurrentState(): _NSNumber;
    setFaultStateCurrentState$(value: _NSNumber): void;
}
export interface _MTREnergyEVSEClusterFaultEvent extends _NSCopying {
}
